package com.jpsoft.shinestar.modules.wechat.service;

import com.jpsoft.shinestar.modules.wechat.entity.AccessControl;

/**
 * @author 墨鱼_mo
 * @date 2019-12-11 10:24
 */
public interface IAccessControlService {

    /**
     * 根据openid查询绑定记录
     * @param openId
     * @return
     */
    AccessControl findByOpenId(String openId);

    /**
     * 根据ownerid查询绑定记录
     * @param id
     * @return
     */
    AccessControl findByOwnerId(String id);

    /**
     * 保存绑定记录
     * @param accessControl
     */
    void save(AccessControl accessControl);

    /**
     * 更新绑定信息
     * @param accessControl
     */
    void update(AccessControl accessControl);
}
